<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

echo head . 'Стол заказов' . div . katalog;
$no_comleted = mysql_result(mysql_query("SELECT count(*) FROM `zakaz` WHERE `status` = '0'"), 0);
$comleted = mysql_result(mysql_query("SELECT count(*) FROM `zakaz` WHERE `status` = '1'"), 0);
$cancelled = mysql_result(mysql_query("SELECT count(*) FROM `zakaz`WHERE `status` = '3'"), 0);
$vsego = mysql_result(mysql_query("SELECT count(*) FROM `zakaz`"), 0);

switch($_GET['act']){
default:
echo "<img src=\"../style/img/dot.gif\" alt=\"\" /> <b><a href=\"add.php\">Добавить заказ</a></b><br/ ><br/ >";
echo "<img src=\"../style/img/dot.gif\" alt=\"\" /> <a href=\"?act=1\">Выполненные заказы</a> [".$comleted."]<br/>";
echo "<img src=\"../style/img/dot.gif\" alt=\"\" /> <a href=\"?act=2\">Не выполненные заказы</a> [".$no_comleted."]<br/>";
echo "<img src=\"../style/img/dot.gif\" alt=\"\" /> <a href=\"?act=3\">Отмененные заказы</a> [".$cancelled."]</div>";
break;

case '1':
echo '<div class="main">Выполненные</div>';
$result = mysql_query("SELECT * FROM `zakaz` WHERE `status` = '1'");
if($comleted>0)
{
while($zakaz = mysql_fetch_assoc($result)){
echo "<div class='menu'><b>".$zakaz['id'].".</b> Заказал:<b>".$zakaz['name']."</b><br/><b>Имя файла:</b> ".$zakaz['name_file']."<br/><b>Коментарий: </b>".parsebb(adminbb($zakaz['coment']))."<br/>";

if($zakaz['coment_admin']> ''){ echo '<br/><b>Коментарий админа:</b> '.$zakaz['coment_admin'].'<br/>';}
if($zakaz['url']> ''){ echo '<b>Ссылка на файл:</b> <a href="'.$zakaz['url'].'">[Перейти]</a></div>';}
}
} else { echo '<div class="menu">Заказов нет.</div>';}
echo '<div class="menu"><a href="index.php">Назад</a></div>';
break;

case '2':
echo '<div class="main">Не выполненные</div>';
$result = mysql_query("SELECT * FROM `zakaz` WHERE `status` = '0'");
if($no_comleted>0)
{
while($zakaz = mysql_fetch_assoc($result)){
echo "<div class='menu'><b>".$zakaz['id'].".</b> Заказал:<b>".$zakaz['name']."</b><br/><b>Имя файла:</b> ".$zakaz['name_file']."<br/><b>Коментарий: </b>".parsebb(adminbb($zakaz['coment']))."</div>";
}
} else { echo '<div class="menu">Заказов нет.</div>';}
echo '<div class="menu"><a href="index.php">Назад</a></div>';
break;

case '3':
echo '<div class="main">Отмененные</div>';
$result = mysql_query("SELECT * FROM `zakaz` WHERE `status` = '3'");
if($cancelled>0)
{
while($zakaz = mysql_fetch_assoc($result)){
echo "<div class='menu'><b>".$zakaz['id'].".</b> Заказал:<b>".$zakaz['name']."</b><br/><b>Имя файла:</b> ".$zakaz['name_file']."<br/><b>Коментарий: </b>".parsebb(adminbb($zakaz['coment']))."</div>";
if($zakaz['status']==3){ echo '<b>Заказ отменен!</b><br/>';}
}
} else { echo '<div class="menu">Заказов нет.</div>';}
echo '<div class="menu"><a href="index.php">Назад</a></div>';
break;
}
navig();
foot();
?>

